1***@qq.com
1***@qq.com
  • 发布:2022-10-28 13:37
  • 更新:2023-10-24 11:31
  • 阅读:424

传统打包不支持ios16系统,也就是说ipone14无法安装传统打包打包出来的ipa

分类:HBuilderX

传统打包出来的安装包不支持ios16系统,也就是说ipone14无法安装传统打包打包出来的ipa

2022-10-28 13:37 负责人:无 分享
已邀请:
BoredApe

BoredApe - 有问题就会有答案。

支持安装。遇到什么问题了可以详细截图说明一下

  • 1***@qq.com (作者)

    您那边是用的最新版hbuilder打包的吗

    2022-10-28 13:39

  • 1***@qq.com (作者)

    我打包测试了好几版,都显示的无法安装

    2022-10-28 13:40

  • 1***@qq.com (作者)

    截图已经发送,万分感谢

    2022-10-28 13:43

1***@qq.com

1***@qq.com (作者)

安装提示如图:无法安装,但是只要是ios16以下 的系统版本,都可以安装使用

BoredApe

BoredApe - 有问题就会有答案。

你这是企业证书嘛? 分发的时候plist文件中bundle-identifier字段是否和打包时的包名一致

  • 1***@qq.com (作者)

    是企业证书,使用传统打包时字段和包名是一致的,如果不一致是无法打包的

    2022-10-28 14:16

  • BoredApe

    回复 1***@qq.com: 不是打包阶段。是分发阶段。

    2022-10-28 14:18

BoredApe

BoredApe - 有问题就会有答案。

你打完包 分发的时候 itms-services协议中的.plist文件写的有问题。其中有一个bundle-identifier和打完的包中的包名不一致

  • 1***@qq.com (作者)

    <key>CFBundleIdentifier</key>

    <string>cn.shasteel.xdapp</string>

    和我打包的一致

    2023-01-03 15:12

  • BoredApe

    回复 1***@qq.com: 请确认是否一致。iOS16以上设备无法安装。都是这个字段不一致导致的。

    2023-01-03 15:21

  • iOSDeveloper

    回复 1***@qq.com: 解决了吗,这个问题一看就知道是签名不完整的问题

    2023-01-12 18:47

  • 5***@qq.com

    回复 1***@qq.com: 你好,请问这个文件在哪?

    2023-02-27 17:05

iOSDeveloper

iOSDeveloper - 专注于iOS相关领域。联系QQ:752562065

8年iOS开发,iOS相关的问题可以找我,解决不了不要钱,解决了给瓶水钱就行,我QQ752562065

要回复问题请先登录注册